org.apache.fop.render

## Interface RendererConfig.RendererConfigParser

- All Known Implementing Classes:
    AFPRendererConfig.AFPRendererConfigParser, BitmapRendererConfig.BitmapRendererConfigParser, IFRendererConfig.IFRendererConfigParser, Java2DRendererConfig.Java2DRendererConfigParser, PCLRendererConfig.PCLRendererConfigParser, PDFRendererConfig.PDFRendererConfigParser, PNGRendererConfig.PNGRendererConfigParser, PSRendererConfig.PSRendererConfigParser, TIFFRendererConfig.TIFFRendererConfigParser, TxtRendererConfig.TxtRendererConfigParser
  Enclosing interface:
    RendererConfig

      public static interface RendererConfig.RendererConfigParser

  Implementations of this interface parse the relevant renderer-specific configuration data within the FOP-conf and create a `RendererConfig`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RendererConfig` | `build(FOUserAgent userAgent, Configuration rendererConfiguration)` Builds the object that contains the renderer configuration data.
    `String` | `getMimeType()` The MIME type of the renderer.

- - ### Method Detail

    - #### build

          RendererConfig build(FOUserAgent userAgent,
                               Configuration rendererConfiguration)
                        throws FOPException

      Builds the object that contains the renderer configuration data.
      Parameters:
        `userAgent` - the user agent
        `rendererConfiguration` - the Avalon config object for parsing the data
      Returns:
        the configuration data object
      Throws:
        `FOPException` - if an error occurs while parsing the fop conf

    - #### getMimeType

          String getMimeType()

      The MIME type of the renderer.
      Returns:
        the mime type

Copyright © 2023 Apache Software Foundation. All rights reserved.